# Configuration

{% tabs %}
{% tab title="cl\_config" %}

```lua
Config = {
	Debug = fakse,
	DrawMethod = "marker", -- marker, sprite (both are pretty much same test it and use whatever fits you the best)
	MaxDrawDistance = 20,
}

```

{% endtab %}

{% tab title="sv\_config" %}

```lua
Config             = {}
Config.Debug       = false
Config.CommandName = "stafftag"
Config.ImagePath   = ("nui://ars_stafftag/web/images/%s.png")

Config.Themes      = {
	["blue"] = {
		border = '#60a5fa',
		bg = '#0e1a29',
		shadowColor = 'rgba(0,174,239,0.5)',
		imageBorder = '#60a5fa',
		badgeBg = 'linear-gradient(to right, #60a5fa, #22d3ee)',
		badgeText = 'black',
	},
	["lightgreen"] = {
		border = '#4ade80',
		bg = '#102816',
		shadowColor = 'rgba(0,255,127,0.5)',
		imageBorder = '#4ade80',
		badgeBg = 'linear-gradient(to right, #4ade80, #a3e635)',
		badgeText = 'black',
	},
	["green"] = {
		border = '#22c55e',
		bg = '#0f261a',
		shadowColor = 'rgba(50,205,50,0.5)',
		imageBorder = '#22c55e',
		badgeBg = 'linear-gradient(to right, #22c55e, #65a30d)',
		badgeText = 'black',
	},
	["orange"] = {
		border = '#f97316',
		bg = '#2a2114',
		shadowColor = 'rgba(255,165,0,0.5)',
		imageBorder = '#f97316',
		badgeBg = 'linear-gradient(to right, #f97316, #facc15)',
		badgeText = 'black',
	},
	["red"] = {
		border = '#ef4444',
		bg = '#2a141a',
		shadowColor = 'rgba(255,0,85,0.5)',
		imageBorder = '#ef4444',
		badgeBg = 'linear-gradient(to right, #ef4444, #db2777)',
		badgeText = 'white',
	},
	["cyan"] = {
		border = '#06b6d4',
		bg = '#122334',
		shadowColor = 'rgba(0,191,255,0.5)',
		imageBorder = '#06b6d4',
		badgeBg = 'linear-gradient(to right, #06b6d4, #3b82f6)',
		badgeText = 'black',
	},
}


Config.Roles            = { -- won't work if UseDiscordRoles is true
	["staff"] = {
		theme = "blue",
		label = "Staff",
		image = Config.ImagePath:format("staff"),
	},
	["helper"] = {
		theme = "lightgreen",
		label = "Helper",
		image = Config.ImagePath:format("helper"),
	},
	["mod"] = {
		theme = "green",
		label = "Moderator",
		image = Config.ImagePath:format("mod"),
	},
	["admin"] = {
		theme = "orange",
		label = "Admin",
		image = Config.ImagePath:format("admin"),
	},
	["owner"] = {
		theme = "red",
		label = "Owner",
		image = Config.ImagePath:format("owner"),
	},
	["dev"] = {
		theme = "cyan",
		label = "Developer",
		image = Config.ImagePath:format("dev"),
	},
}

Config.UseDiscordName   = false
Config.UseDiscordAvatar = false
Config.UseDiscordRoles  = false -- if this set to true only discord roles will be used if set to false ingame roles will be usedd
Config.BotToken         = ("Bot %s"):format("insert_bot_token_here")
Config.DiscordGuild     = "server_id"

Config.DiscordRoles     = { -- will work if UseDiscordRoles is set to  true
	["role_id"] = {
		theme = "red",
		label = "Project",
		image = Config.ImagePath:format("dev"),
	}
}

```

{% endtab %}
{% endtabs %}


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.arius-scripts.com/site/documentation/resources/staff-tag/configuration.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
